Bug 81929 - [MAINTAINER] mail/bogofilter-sqlite: fix build failures (FAIL: t.lock3)
Summary: [MAINTAINER] mail/bogofilter-sqlite: fix build failures (FAIL: t.lock3)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jean-Yves Lefort
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-06-05 22:30 UTC by Matthias Andree
Modified: 2005-06-08 13:21 UTC (History)
1 user (show)

See Also:


Attachments
bogofilter-sqlite-0.94.13.patch (484 bytes, patch)
2005-06-05 22:30 UTC, Matthias Andree
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Andree 2005-06-05 22:30:02 UTC
The patch below skips the overzealous t.lock3 test that is very delicate WRT
timing, I/O and such, and broke on pointyhat and often breaks on user systems,
too.  t.lock3 is prone to falsely asserting failure.

The patch also skips t.valgrind which is pretty environment-dependent.

Generated with FreeBSD Port Tools 0.63
Comment 1 Jean-Yves Lefort freebsd_committer 2005-06-06 11:46:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jylefort

Take.
Comment 2 Jean-Yves Lefort freebsd_committer 2005-06-08 13:21:29 UTC
State Changed
From-To: open->closed

Committed, thanks!